xmlutils_tests.c File Reference
`#include "xmlutils.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`

## Functions

| Describe (xmlutils)
| BeforeEach (xmlutils)
| AfterEach (xmlutils)
| Ensure (xmlutils, parse_entity_parses_simple_xml)
| Ensure (xmlutils, parse_entity_parses_xml_with_attributes)
| Ensure (xmlutils, parse_entity_handles_declaration)
| Ensure (xmlutils, parse_entity_handles_namespace)
| Ensure (xmlutils, parse_entity_oval_timestamp)
| Ensure (xmlutils, next_entities_handles_multiple_children)
| Ensure (xmlutils, parse_element_parses_simple_xml)
| Ensure (xmlutils, parse_element_parses_xml_with_attributes)
| Ensure (xmlutils, parse_element_handles_declaration)
| Ensure (xmlutils, parse_element_handles_namespace)
| Ensure (xmlutils, parse_element_oval_timestamp)
| Ensure (xmlutils, parse_element_item_metadata)
| Ensure (xmlutils, parse_element_item_metadata_with_namespace)
| Ensure (xmlutils, parse_element_item_handles_cdata)
| Ensure (xmlutils, element_next_handles_multiple_children)
| Ensure (xmlutils, parse_element_free_using_child)
| Ensure (xmlutils, print_element_to_string_prints)
int | main (int argc, char **argv)

## Function Documentation

## AfterEach()

AfterEach | ( | xmlutils |  | ) |

## BeforeEach()

BeforeEach | ( | xmlutils |  | ) |

## Describe()

Describe | ( | xmlutils |  | ) |

## Ensure() [1/17]

Ensure | ( | xmlutils | ,
|  | element_next_handles_multiple_children |
| ) |  |

## Ensure() [2/17]

Ensure | ( | xmlutils | ,
|  | next_entities_handles_multiple_children |
| ) |  |

## Ensure() [3/17]

Ensure | ( | xmlutils | ,
|  | parse_element_free_using_child |
| ) |  |

## Ensure() [4/17]

Ensure | ( | xmlutils | ,
|  | parse_element_handles_declaration |
| ) |  |

## Ensure() [5/17]

Ensure | ( | xmlutils | ,
|  | parse_element_handles_namespace |
| ) |  |

## Ensure() [6/17]

Ensure | ( | xmlutils | ,
|  | parse_element_item_handles_cdata |
| ) |  |

## Ensure() [7/17]

Ensure | ( | xmlutils | ,
|  | parse_element_item_metadata |
| ) |  |

## Ensure() [8/17]

Ensure | ( | xmlutils | ,
|  | parse_element_item_metadata_with_namespace |
| ) |  |

## Ensure() [9/17]

Ensure | ( | xmlutils | ,
|  | parse_element_oval_timestamp |
| ) |  |

## Ensure() [10/17]

Ensure | ( | xmlutils | ,
|  | parse_element_parses_simple_xml |
| ) |  |

## Ensure() [11/17]

Ensure | ( | xmlutils | ,
|  | parse_element_parses_xml_with_attributes |
| ) |  |

## Ensure() [12/17]

Ensure | ( | xmlutils | ,
|  | parse_entity_handles_declaration |
| ) |  |

## Ensure() [13/17]

Ensure | ( | xmlutils | ,
|  | parse_entity_handles_namespace |
| ) |  |

## Ensure() [14/17]

Ensure | ( | xmlutils | ,
|  | parse_entity_oval_timestamp |
| ) |  |

## Ensure() [15/17]

Ensure | ( | xmlutils | ,
|  | parse_entity_parses_simple_xml |
| ) |  |

## Ensure() [16/17]

Ensure | ( | xmlutils | ,
|  | parse_entity_parses_xml_with_attributes |
| ) |  |

## Ensure() [17/17]

Ensure | ( | xmlutils | ,
|  | print_element_to_string_prints |
| ) |  |

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |